shader{
	code= "
	uniform sampler2D		colorTexture;
	uniform float			viewportWidth;
	uniform float			viewportHeight;

	void main()
	{
		vec3 result = FxaaPixelShader(gl_TexCoord[0].st, colorTexture, vec2(1.0/viewportWidth, 1.0/viewportHeight));
		gl_FragColor = vec4(result, 0.0);
	}
	"
	includes{
		file= resources/shaders/engine/antiAliasing/fxaaAntiAliasing.sh
	}

	semantics{
		colorTexture= POST_TONEMAPPING_MAIN_FRAME_BUFFER_TEXTURE
		viewportWidth= VIEWPORT_WIDTH
		viewportHeight= VIEWPORT_HEIGHT
	}
}