shader{

	code= "
	uniform vec3		lightPosition;
	varying vec4		texCoord;

	void main(){
		//Calculate the pixel's world space position and use it to sample from the cubic shadow map.
		vec2 screenSpacePosition = texCoord.xy / texCoord.w* 0.5 + 0.5;
		vec3 position = reconstructPositionFromDepth(screenSpacePosition);
		gl_FragColor= sampleCubicShadowMap(position, lightPosition, screenSpacePosition);
	}
	"
	
	includes{
		file= resources/shaders/engine/positionFromDepth.sh
		file= resources/shaders/engine/shadows/cubicShadowMapping.sh
	}
	
	semantics{
		lightPosition = LIGHT_POSITION
	}
}