shader{

	code= "
	uniform vec3		lightPosition;
	uniform sampler2D	positionTexture;
	
	void main(){
		vec3 position= texture2D(positionTexture, gl_TexCoord[0].st).xyz;
		gl_FragColor= sampleCubicShadowMap(position, lightPosition, gl_TexCoord[0].st);
	}
	"
	
	includes{
		file= resources/shaders/engine/shadows/cubicShadowMapping.sh
	}

	semantics
	{
		lightPosition = LIGHT_POSITION
		positionTexture= GBUFFER_POSITION_TEXTURE
	}
}