shader{

	code= "
	uniform vec3		cameraPosition;
	uniform sampler2D	positionTexture;
	
	void main(){
		vec3 position= texture2D(positionTexture, gl_TexCoord[0].st).xyz;
		gl_FragColor= sampleOverlappedShadowMap(position, cameraPosition, gl_TexCoord[0].st);
	}
	"
	
	includes{
		file= resources/shaders/engine/shadows/overlappedShadowMapping.sh
	}

	semantics
	{
		cameraPosition= CAMERA_POSITION
		positionTexture= GBUFFER_POSITION_TEXTURE
	}
}