shader
{
	code= "
		uniform mat4		modelviewProjectionMatrices[6];

		varying in mat3		tangentSpaceMatrixIn[3];
		varying out mat3	tangentSpaceMatrixOut;
		varying out vec3	positionOut;

		void main()
		{
			//Render to each of the cube's faces.
			for(int face = 0; face < 6; face++)
			{
				//Emit each vertex of the original triangle.
				gl_Layer = face;
				for(int vertex = 0; vertex < 3; vertex++)
				{
					gl_Position = modelviewProjectionMatrices[face] * gl_PositionIn[vertex];
					gl_TexCoord[0] = gl_TexCoordIn[vertex][0];
					tangentSpaceMatrixOut = tangentSpaceMatrixIn[vertex];
					positionOut = gl_PositionIn[vertex].xyz;
					EmitVertex();
				}
				EndPrimitive();
			}
		}
	"
}