shader
{
	code= "
	uniform mat4		objectMatrix;
	attribute vec3		normal;
	attribute vec3		tangent;
	attribute vec3		binormal;
	
	varying out mat3	tangentSpaceMatrixIn;

	void main()
	{
		gl_Position = objectMatrix * gl_Vertex;
		gl_TexCoord[0] = gl_MultiTexCoord0;
		tangentSpaceMatrixIn = mat3(objectMatrix) * mat3(tangent, binormal, normal);
	}
	"

	semantics
	{
		objectMatrix= OBJECT_TRANSFORM_MATRIX
		normal= VERTEX_NORMAL
		tangent= VERTEX_TANGENT
		binormal= VERTEX_BINORMAL
	}
}