shader{

	code= "

	uniform sampler2D	colorTexture;
	uniform sampler2D	positionTexture;
	uniform sampler2D	normalTexture;
	
	void main(){

		vec3 color= texture2D(colorTexture, gl_TexCoord[0].st).rgb;
		vec3 position= texture2D(positionTexture, gl_TexCoord[0].st).xyz;
		vec3 normal= texture2D(normalTexture, gl_TexCoord[0].st).xyz;
		
		vec3 illuminationColor= sampleLightPropagationVolume(position, normal);
		
		gl_FragColor= vec4(color*illuminationColor, 0.0);
	}
	"
	
	includes{
		file= resources/shaders/engine/lightPropagationVolumes/propagationVolumeRead.sh
	}
	
	semantics{
		colorTexture= GBUFFER_COLOR_TEXTURE
		positionTexture= GBUFFER_POSITION_TEXTURE
		normalTexture= GBUFFER_NORMAL_TEXTURE
	}
}