shader{

	code= "

		uniform sampler2D	maskTexture;
		uniform sampler2D	raysDirectionsTexture;

		void main(){

			float mask= texture2D(maskTexture, gl_TexCoord[0].st).a;
			
			if(mask> 0.001){
				vec3 direction= texture2D(raysDirectionsTexture, gl_TexCoord[0].st).xyz;
				gl_FragColor= vec4(sampleSkyMap(normalize(direction)), 0.0);
			}
			else
				discard;
		}
	"
	
	includes{
		file= resources/shaders/engine/atmosphere/skyLighting/skyMapRead.sh
	}

	semantics{
		maskTexture= GBUFFER_POSITION_TEXTURE
		raysDirectionsTexture= RAYTRACING_RAYS_DIRECTIONS_TEXTURE
	}
}