shader{

	code= "
	uniform sampler2D	colorTexture;
	uniform float		alphaTestTreshold;

	varying vec4		projectedPosition;
	
	void main(){

		//Discard pixel if alpha is bellow treshold.
		if(texture2D(colorTexture, gl_TexCoord[0].st).a< alphaTestTreshold)
			discard;

		gl_FragColor= vec4(projectedPosition.z/projectedPosition.w, 1.0, 1.0, 1.0);
	}
	"

	semantics{
		colorTexture= MATERIAL_COLOR_TEXTURE
		alphaTestTreshold= MATERIAL_ALPHA_TEST_TRESHOLD
	}
}