shader
{
	code= "
	#version 420

	uniform mat4	objectMatrix;
	
	in vec4			vertexPosition;
	in vec3			vertexNormal;
	in vec3			vertexTangent;
	in vec3			vertexBinormal;
	in vec2			vertexTexCoord;

	out vec3		position2;
	out vec3		normal2;
	out vec3		tangent2;
	out vec3		binormal2;
	out vec2		texCoord2;

	void main()
	{
		texCoord2 = vertexTexCoord;
		gl_Position = objectMatrix * vertexPosition;

		position2 = (objectMatrix * vertexPosition).xyz;
		normal2 = vertexNormal;
		tangent2 = vertexTangent;
		binormal2 = vertexBinormal;
	}
	"

	semantics
	{
		objectMatrix = OBJECT_TRANSFORM_MATRIX
		vertexPosition = VERTEX_POSITION
		vertexNormal = VERTEX_NORMAL
		vertexTangent = VERTEX_TANGENT
		vertexBinormal = VERTEX_BINORMAL
		vertexTexCoord = VERTEX_TEXCOORD
	}
}