shader{

	code= "
	uniform sampler2D		colorTexture;
	uniform sampler2D		normalTexture;
	uniform vec4			lightColor;
	
	varying vec3			lightVector;
	
	void main(){	
		vec4 color= texture2D(colorTexture, gl_TexCoord[0].st);
		vec3 normal= texture2D(normalTexture, gl_TexCoord[0].st).xyz*2.0- 1.0;
		float diffuse= max(dot(normalize(normal), normalize(lightVector)), 0.0);
		float shadow= sampleLightMask();
		gl_FragColor= color*lightColor*diffuse*shadow;
	}"
	
	includes{
		file= resources/shaders/lightMaskSampleFragment.shader
	}
	
	semantics{
		colorTexture= MATERIAL_COLOR_TEXTURE
		normalTexture= MATERIAL_NORMAL_TEXTURE
		lightColor= LIGHT_COLOR
	}
}