shader{

	code= "
	varying vec3		position;
	varying vec3		viewVector;
	varying vec3		normal;
			
	void main(){

		normal= normalize(normal);

		//Invert the normal if this is a back face.
		if(!gl_FrontFacing)
			normal= -normal;

		viewVector= normalize(viewVector);
		
		vec3 reflectionVector= normalize(reflect(viewVector, normal));
		vec3 refractionVector= refract(viewVector, normal, 0.95);

		position+= reflectionVector*0.01;	//Add small bias to avoid self-intersection of rays with the source geometry.

		gl_FragData[0]= vec4(position, 1.0);
		gl_FragData[1]= vec4(reflectionVector, 1.0);
		gl_FragData[2]= vec4(refractionVector, 1.0);
	}
	"
}