shader{

	code= "
	uniform mat4	objectMatrix;
	uniform vec3	cameraPosition;

	attribute vec3	vertexNormal;
	attribute vec3	vertexBinormal;
	attribute vec3	vertexTangent;

	varying vec3	position;
	varying vec3	viewVector;
	varying vec3	normal;
			
	void main(){	
		
		position= (objectMatrix*gl_Vertex).xyz;
		viewVector= position - cameraPosition;
		normal= mat3(objectMatrix)*vertexNormal;
		
		gl_TexCoord[0]= gl_MultiTexCoord0;
		gl_Position= ftransform();
	}
	"
	
	semantics{
		objectMatrix= OBJECT_TRANSFORM_MATRIX
		cameraPosition= CAMERA_POSITION
		vertexNormal= VERTEX_NORMAL
		vertexBinormal= VERTEX_BINORMAL
		vertexTangent= VERTEX_TANGENT
	}
}